/* Copyright (C) 2005-2006  Emiliano Betti and Marco Cesati
   Copyright (C) 2003-2004  Marco Cesati
   Copyright (C) 2002-2003  Shell Technologies s.r.l.

   Authors:
            Emiliano Betti <emilianobetti@gmail.com>
            Marco Cesati   <marcocesati@gmail.com>

   Driver for the Galil 1800 PCI motion controllers (http://www.galilmc.com/)

   This is a driver for the Linux kernel 2.6. It is based on an older driver
   for the kernel 2.4, which in turn was loosely inspired by Galil's own
   Linux driver, as well as by a bunch of PCI drivers in the kernel source code

   This program is free software; you can redistribute  it and/or modify it
   under  the terms of  the GNU General  Public License as published by the
   Free Software Foundation.
*/


#ifndef _GALIL1800_INIT_H_
#define _GALIL1800_INIT_H_

#ifndef __KERNEL__
#error UserMode programs should include galil1800.h rather than galil1800_init.h
#endif

extern int galil1800_init_controller_probe_step(struct galil1800_state *) __init;

/* Called in PCI remove function */
static
inline void __exit galil1800_clean_controller_remove_step(struct galil1800_state *s)
{
	tasklet_kill(&s->irq_tasklet);
}

extern int galil1800_init_controller_open_step(struct galil1800_state *);

extern void galil1800_clean_controller_open_step(struct galil1800_state *);

#endif
